org.springframework.data.auditing.config

## Class AnnotationAuditingConfiguration

- java.lang.Object
- - org.springframework.data.auditing.config.AnnotationAuditingConfiguration

All Implemented Interfaces:
  AuditingConfiguration

    public class AnnotationAuditingConfiguration
    extends Object
    implements AuditingConfiguration

Default implementation for `AuditingConfiguration`.

Author:
  Ranie Jade Ramiso, Thomas Darimont, Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`AnnotationAuditingConfiguration(AnnotationMetadata metadata, Class<? extends Annotation> annotation)` Creates a new instance of `AnnotationAuditingConfiguration` for the given `AnnotationMetadata` and annotation type.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAuditorAwareRef()` Returns the bean name of the `AuditorAware` instance to be used..
`String` `getDateTimeProviderRef()` Returns the bean name of the `DateTimeProvider` to be used.
`boolean` `isModifyOnCreate()` Returns whether the entity shall be marked as modified on creation.
`boolean` `isSetDates()` Returns whether the creation and modification dates shall be set.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationAuditingConfiguration

    public AnnotationAuditingConfiguration(AnnotationMetadata metadata,
                                           Class<? extends Annotation> annotation)

Creates a new instance of `AnnotationAuditingConfiguration` for the given `AnnotationMetadata` and annotation type.

Parameters:
  `metadata` - must not be null.
  `annotation` - must not be null.

### Method Detail

#### getAuditorAwareRef

    public String getAuditorAwareRef()

Description copied from interface: `AuditingConfiguration`
Returns the bean name of the `AuditorAware` instance to be used..

Specified by:
  `getAuditorAwareRef` in interface `AuditingConfiguration`
Returns:

#### isSetDates

    public boolean isSetDates()

Description copied from interface: `AuditingConfiguration`
Returns whether the creation and modification dates shall be set. Defaults to true.

Specified by:
  `isSetDates` in interface `AuditingConfiguration`
Returns:

#### getDateTimeProviderRef

    public String getDateTimeProviderRef()

Description copied from interface: `AuditingConfiguration`
Returns the bean name of the `DateTimeProvider` to be used.

Specified by:
  `getDateTimeProviderRef` in interface `AuditingConfiguration`
Returns:

#### isModifyOnCreate

    public boolean isModifyOnCreate()

Description copied from interface: `AuditingConfiguration`
Returns whether the entity shall be marked as modified on creation. Defaults to true.

Specified by:
  `isModifyOnCreate` in interface `AuditingConfiguration`
Returns: